BETTERMENU
Studio

Save Reference Serving Size

Saves a serving size category the calling member opened, so it is listed in their Saved list. Saving a category that is already saved changes nothing and keeps its original saved_at.

PUT
/studio/reference/serving-sizes/saved/{category_id}

Path Parameters

category_id*Category Id

Identifier of the serving size category.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.bettermenu.live/studio/reference/serving-sizes/saved/string"
{
  "category_id": "string",
  "name": "string",
  "reference_amount": 0,
  "reference_unit": "g",
  "amount_kind": "discrete",
  "audience": "general",
  "data_version": "string",
  "saved": true,
  "saved_at": "2019-08-24T14:15:22Z",
  "first_viewed_at": "2019-08-24T14:15:22Z",
  "last_viewed_at": "2019-08-24T14:15:22Z",
  "view_count": 0
}
{
  "type": "https://api.bettermenu.live/errors/recipe_not_found",
  "title": "Recipe Not Found",
  "status": 400,
  "detail": "Recipe rcpe_abc123 does not exist",
  "code": "recipe_not_found",
  "retryable": true,
  "instance": "/api/v1/recipes/rcpe_abc123",
  "trace_id": "req_xyz789",
  "errors": [
    {}
  ],
  "invalid_ids": [
    "f_abc123",
    "f_xyz789"
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
BETTERMENU

FDA-compliant nutrition labels from a recipe, in minutes.

Visit bettermenu.live